body {
    cursor: url("./ghosticursor.png") 2 2, auto;
    font-family: 'Luminary Serif', fantasy;
    background: linear-gradient(rgb(36, 39, 80), rgb(38, 12, 59));
    margin: 0;
    padding: 40px auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    min-height: 100vh;
}

button,
a,
img,
input,
textarea,
select {
    cursor: url("./ghosticursor.png") 2 2, pointer;
}

.container {
    width: 1200vw;
    max-width: 85vw;
    margin: 3vw auto;
    background: transparent;

}

.mirrortop {
    background: url('mirrortop.png');
    background-size: 100% 100%;
    background-position: top center;
    background-repeat: no-repeat;
    height: 32vw;
    width: 76.5vw;
    max-width: 84vw;
    padding-bottom: -1vw;
    margin-bottom: -1vw;
}

.mirrortop img {
    position: absolute;
    top: 24vw;
    left: 45vw;
    transform: translate(-50%, -50%);
    width: 16vw;
    height: auto;
}

.eyesl img {
    position: absolute;
    top: 24vw;
    left: 27vw;
    transform: translate(-50%, -50%);
    width: 19vw;
    height: auto;
}

.eyesr img {
    position: absolute;
    top: 24vw;
    left: 63vw;
    transform: translate(-50%, -50%);
    width: 19vw;
    height: auto;
}

.sparkl img {
    position: absolute;
    top: 33vw;
    left: 75vw;
    transform: translate(-50%, -50%);
    width: 7vw;
    height: auto;
}

.sparkr img {
    position: absolute;
    top: 33vw;
    left: 15vw;
    transform: translate(-50%, -50%);
    width: 7vw;
    height: auto;
}

.mirror {
    background-image: url('mirror.png');
    background-size: 100% 100%;
    background-repeat: repeat-y;
    width: 76.5vw;
    max-width: 84vw;
    transition: transform 0,2s;
    text-align: center;
    overflow-y: auto;
    display: inline-block;
    gap: 20vw;
    flex-wrap: wrap;
    padding-bottom: -1vw;
    margin-bottom: -1vw;
}

.mirror img {
    width: 7vw;
    height: auto;
}

.mirror p {
    color: ghostwhite;
    font-size: 1.2rem;
    size-adjust: 3vw;
    max-width: 60vw;
    margin: 0 auto 20px auto;
}


.mirrorbottom {
    background: url('mirrorbottom.png');
    background-size: 100% 100%;
    background-position: bottom center;
    background-repeat: no-repeat;
    position: relative;
    overflow: hidden;
    height: 32vw;
    width: 76.5vw;
    max-width: 84vw;
    padding-top: -1vw;
    margin-top: -1vw;
}

.mirrorbottom {
    background: url('mirrorbottom.png');
    background-size: 100% 100%;
    background-position: bottom center;
    background-repeat: no-repeat;
    position: relative;
    height: 32vw;
    width: 76.5vw;
    max-width: 84vw;
    padding-top: -1vw;
    margin-top: -1vw;
}

.navi {
    position: relative;
    width: 67%;
    margin: 0 auto;
}

.nav {
    width: 100%;
    height: auto;
    position: absolute;
}

.stars {
    position: relative;
    width: 9%;
    margin: 0 auto;
}

.starl {
    position: absolute;
    bottom: 1%;
    right: 400%;
    width: 100%;
    height: auto;
    transform: scale(-1) translateY(-40%);
}

.starr {
    position: absolute;
    bottom: 1%;
    left: 400%;
    width: 100%;
    height: auto;
    transform: scale(-1) translateY(-40%);
}

.icons {
    position: relative;
    width: 67%;
    margin: 0 auto;
    aspect-ratio: 16 / 9;
}

.fh {
    position: absolute;
    top: 20%;
    left: 8%;
    width: 16%;
    height: auto;
}

.stn {
    position: absolute;
    top: 20%;
    left: 25%;
    width: 16%;
    height: auto;
}

.hush {
    position: absolute;
    top: 20%;
    left: 42%;
    width: 16%;
    height: auto;
}

.sclt {
    position: absolute;
    top: 20%;
    left: 59%;
    width: 16%;
    height: auto;
}

.fld {
    position: absolute;
    top: 20%;
    left: 76%;
    width: 16%;
    height: auto;
}

.etc {
    position: absolute;
    top: 30%;
    left: 33.5%;
    width: 16%;
    height: auto;
}

.arts {
    position: absolute;
    top: 30%;
    left: 50.5%;
    width: 16%;
    height: auto;
}

#ghosty {
    position: fixed;
    top: 29vw;
    left: 83vw;

    background: transparent;
    border: none;
    padding: 0;
    margin: 0;

    appearance: none;
    -webkit-appearance: none;

    cursor: pointer;

    z-index: 9999;

    display: none;
}

#ghosty.show {
    display: block;
}

#ghosty img {
    display: block;
    width: 19vw;
    height: auto;
}
